__gnu_pbds::detail::mod_based_range_hashing< Size_Type > Class Template Reference
Inheritance diagram for __gnu_pbds::detail::mod_based_range_hashing< Size_Type >:
[legend]

## Protected Types

typedef Size_Type | size_type

## Protected Member Functions

void | notify_resized (size_type s)
size_type | range_hash (size_type s) const
void | swap (mod_based_range_hashing &other)

## Detailed Description

### template<typename Size_Type>
class __gnu_pbds::detail::mod_based_range_hashing< Size_Type >

Mod based range hashing.

Definition at line 50 of file mod_based_range_hashing.hpp.

The documentation for this class was generated from the following file:

- mod_based_range_hashing.hpp